PostBox 3.0.3 Support Please!!! Rated 4 out of 5 stars

I miss ThunderBrowse. Please update it so it works with PostBox v. 3.0.3!

It's simply indispensible!

This review is for a previous version of the add-on (3.8).